0

I am installing Qt6 using this guide

https://www.tal.org/tutorials/building-qt-62-raspberry-pi

and i am stuck in the Configure the Qt 6.2 build portion where it asks me to execute this line

/opt/cmake/bin/cmake -G Ninja \
-DCMAKE_INSTALL_PREFIX=/opt/Qt/6.2.3-armv7l \
-DQT_FEATURE_opengles2=ON \
-DQT_FEATURE_opengles3=ON \
-DCMAKE_TOOLCHAIN_FILE=tc.cmake \
-DQT_AVOID_CMAKE_ARCHIVING_API=ON ../qtbase-everywhere-src-6.2.3

but i am getting an error

bash: /opt/cmake/bin/cmake: No such file or directory

I followed every step behore hand and there were no problems, everthing went smoothly exempt this part. Can anybody help me with this problem ?

2
  • This is probably a good time to upgrade to bullseye if you have been considering it, as the author observes "a custom cmake is not required on Raspberry Pi OS Bullseye. It contains a new enough version."
    – goldilocks
    Commented Jul 20, 2022 at 15:49
  • Does your path include /opt/cmake/bin/ ? From my linux experience, I would create a /opt/bin directory, which contains all the optional binaries.
    – NomadMaker
    Commented Jul 21, 2022 at 10:53

1 Answer 1

1

From the error output, seems like bash could not find your CMake installation. Are you sure CMake is already installed in opt/cmake? In the guide, the author provided this line on section Build and install cmake from sources:

../cmake-3.22.2/bootstrap --prefix=/opt/cmake --parallel=4 && make -j4 && make install

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.